*, *::after, *::before {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    scroll-behavior: smooth;
    overflow-x: hidden;
    letter-spacing: .05rem;
    color: whitesmoke;
    text-decoration: none;
}

:root {
    --main-purple: #58328A;
    --main-green: #328A58;
}

body {
    background: linear-gradient(170deg, var(--main-purple), #221435);
    width: 100vw;
}

.article-decor {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.70);
    border-radius: 3px;
    margin: 0 auto;
    padding: 1.5rem;
}

.movie-rating {
    background-image: url(./images/star.svg);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 2rem; height: 2rem;
    font-weight: 900;
}

.flex-preset-x {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: .5rem;
}
.flex-preset-y {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: .5rem;
}



.hide-desktop{
    display: none;
}
.show-desktop{
    display: flex;
    justify-content: space-between;
}


@media only screen and (max-width: 1000px) {
    .show-desktop{
        display: none;
    }
    .hide-desktop{
        display: block;
    }
}